%define	version 0.9.2
%define kdename kmuser
%define kderelease 1mdk
Summary: User administration tool
Name: %{kdename}
Version: %{version}
Release: %{kderelease}
Source: ftp://ftp.kde.org/pub/kde/stable/1.1.1/apps/utils/%{name}-%{version}.tar.bz2
Group: X11/KDE/Utilities
Copyright: GPL
Packager: Oden Eriksson <oden@kvikkjokk.com>
BuildRoot: /tmp/realhot_%{kdename}
Requires: qt >= 1.40 mandrake-release >= 6.0 libstdc++ >= 2.8.0 rpm >= 3.0
Prefix: %{_prefix}

%description
kmuser is a user administration tool for shadow password system with
quota support. A cool alternative to kuser with more features.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export KDEDIR=%{_prefix}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
    ./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi


%install
export KDEDIR=%{_prefix}
make prefix=$RPM_BUILD_ROOT$KDEDIR install

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{kdename}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{kdename}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{kdename}


%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{kdename}

%files -f ../file.list.%{kdename} 

%changelog
* Tue Jul 20 1999 Oden Eriksson <oden@kvikkjokk.com>
- [0.9.2]
- Packed for Linux Mandrake

